Debian Bug report logs - #429564
xmltex: unmet Recommends on passivetex

version graph

Package: xmltex; Maintainer for xmltex is Debian TeX Task Force <debian-tex-maint@lists.debian.org>; Source for xmltex is src:xmltex.

Reported by: Luk Claes <luk@debian.org>

Date: Mon, 18 Jun 2007 21:06:45 UTC

Severity: important

Tags: patch

Found in version xmltex/1.9-12

Fixed in version xmltex/1.9.debian.1-1

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmltex: unmet Recommends on passivetex
Date: Mon, 18 Jun 2007 21:49:59 +0200
Package: xmltex
Severity: important
Version: 1.9-12
User: debian-release@lists.debian.org
Usertags: goal-recommends

Hi

Your package recommends passivetex which is not available in unstable anymore.

Cheers

Luk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 429564@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: unmet Recommends on passivetex
Date: Tue, 19 Jun 2007 07:57:04 +0200
Luk Claes <luk@debian.org> wrote:

> Package: xmltex
> Severity: important
> Version: 1.9-12
> User: debian-release@lists.debian.org
> Usertags: goal-recommends
>
> Hi
>
> Your package recommends passivetex which is not available in unstable anymore.

This will be solved by merging xmltex and jadetex into a texlive package
(from collection-htmlxml) which will also provide passivetex.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 429564@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 429564@bugs.debian.org
Subject: xmltex: diff for NMU version 1.9-12.1
Date: Sun, 30 Mar 2008 21:19:40 +0200
[Message part 1 (text/plain, inline)]
tags 429564 + patch
tags 429564 + pending
thanks

Hi,

Attached is the diff for my xmltex 1.9-12.1 NMU.
I will upload to DELAYED/7


-- 
  ·''`.             A waste is a terrible thing to mind!
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[xmltex-1.9-12.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Sun, 30 Mar 2008 19:18:13 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Sun, 30 Mar 2008 19:18:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 429564@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Amaya <amaya@debian.org>, 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Mon, 31 Mar 2008 10:08:02 +0200
On 30.03.08 Amaya (amaya@debian.org) wrote:

Hi,

> Attached is the diff for my xmltex 1.9-12.1 NMU.
> I will upload to DELAYED/7
> 
<quote>
 * Exchange recommends on passivetex with texlive (which now provides
   passivetex). (Closes: #429564).
</quote>

Can anybody confirm, that TeX Live now provides passivetex? In this
case any of the TeX Live packages should have a Provides Line or have
that string anywhere in the package description. Actually:

hille@kloetzer:~ $ apt-cache search passivetex
jadetex - generator of printable output from SGML or XML using Jade
xmlto - XML-to-any converter

H.
-- 
sigmentation fault




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 429564@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Hilmar Preusse <hille42@web.de>, Frank Küster <frank@debian.org>
Cc: 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Mon, 31 Mar 2008 12:17:17 +0200
Hilmar Preusse wrote:
> On 30.03.08 Amaya (amaya@debian.org) wrote:
> > Attached is the diff for my xmltex 1.9-12.1 NMU.
> > I will upload to DELAYED/7
>  
> <quote>
>  * Exchange recommends on passivetex with texlive (which now provides
>    passivetex). (Closes: #429564).
> </quote>
> 
> Can anybody confirm, that TeX Live now provides passivetex? In this
> case any of the TeX Live packages should have a Provides Line or have
> that string anywhere in the package description. Actually:

Frank Küster said so in the bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=429564#10

  This will be solved by merging xmltex and jadetex into a texlive
  package (from collection-htmlxml) which will also provide passivetex.

Maybe a bug needs to be filed so that texlive explicitly provides and
replaces passivetex. Frank, can you confirm?



-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 429564@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Amaya <amaya@debian.org>, 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Tue, 1 Apr 2008 11:35:24 +0200
On 31.03.08 Amaya (amaya@debian.org) wrote:
> Hilmar Preusse wrote:

Hi,

> > Can anybody confirm, that TeX Live now provides passivetex? In this
> > case any of the TeX Live packages should have a Provides Line or have
> > that string anywhere in the package description. Actually:
> 
> Frank Küster said so in the bug report:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=429564#10
> 
>   This will be solved by merging xmltex and jadetex into a texlive
>   package (from collection-htmlxml) which will also provide
>   passivetex.
> 
> Maybe a bug needs to be filed so that texlive explicitly provides
> and replaces passivetex. Frank, can you confirm?
> 
Well, the quoted sentence above is future tense. Actually I've doubt
that there is a package in Debian providing passivetex, especially
TeX Live probably doesn't. Can anybody clarify this?

Thanks,
  Hilmar
-- 
sigmentation fault




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 429564@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Hilmar Preusse <hille42@web.de>, 429564@bugs.debian.org
Cc: Amaya <amaya@debian.org>
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Tue, 1 Apr 2008 18:43:29 +0200
On Mo, 31 Mär 2008, Hilmar Preusse wrote:
> > Attached is the diff for my xmltex 1.9-12.1 NMU.
> > I will upload to DELAYED/7

Please NO!

Or wahtever

> <quote>
>  * Exchange recommends on passivetex with texlive (which now provides
>    passivetex). (Closes: #429564).
> </quote>
> 
> Can anybody confirm, that TeX Live now provides passivetex? In this

No, impossible. It is NOT PROVIDED!! Amaya, please check before you
change something like this, check that it is actually provided.

I have merged xmltex/passivetex packages available, see my
people.debian.org/~preining/TeX/ there should be packages. I had some
dicsussion with people trying to see whether it actually works, but
didn't get any answers till now.

If someone can take a look at these packages...

	dget http://people.debian.org/~preining/TeX/xmltex/xmltex_1.9.debian.1-1~1.dsc

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
PIMLICO (n.)
Small odd-shaped piece of plastic or curious metal component found in
the bottom of kitchen rummage-drawer when spring-cleaning or looking
for Sellotape.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 429564@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: Hilmar Preusse <hille42@web.de>, 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Tue, 1 Apr 2008 19:44:57 +0200
tags 429564 -fixed
tags 429564 -pending
kthxbye

Hello

Norbert Preining wrote:
> Please NO!

Upload deleted. 

> No, impossible. It is NOT PROVIDED!! Amaya, please check before you
> change something like this, check that it is actually provided.

Sure, sorry.

> I have merged xmltex/passivetex packages available, see my
> people.debian.org/~preining/TeX/ there should be packages. I had some
> dicsussion with people trying to see whether it actually works, but
> didn't get any answers till now.
> 
> If someone can take a look at these packages...
> 
> 	dget http://people.debian.org/~preining/TeX/xmltex/xmltex_1.9.debian.1-1~1.dsc

I'll look at it and get back to you.


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Tags removed: fixed Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Tue, 01 Apr 2008 18:12:04 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Tue, 01 Apr 2008 18:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #53 received at 429564@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Norbert Preining <preining@logic.at>, Debian Bug Tracking System <control@bugs.debian.org>
Cc: Hilmar Preusse <hille42@web.de>, 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Tue, 1 Apr 2008 20:12:32 +0200
tags 429564 pending
kthxbye
 
Hello

>	dget http://people.debian.org/~preining/TeX/xmltex/xmltex_1.9.debian.1-1~1.dsc

This looks like a good fix to me, but as I am no Tex expert, I can't
really confirm anything at all. I would just upload and deal with
problems later: release often, release soon. But of course, YMMV.

Thanks for your time, and sorry about the inconvenience.

Happy hacking!

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Tags added: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Tue, 01 Apr 2008 18:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 429564@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Amaya <amaya@debian.org>
Cc: Hilmar Preusse <hille42@web.de>, 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Tue, 1 Apr 2008 22:23:26 +0200
Hi,

On Di, 01 Apr 2008, Amaya wrote:
> >	dget http://people.debian.org/~preining/TeX/xmltex/xmltex_1.9.debian.1-1~1.dsc
> 
> This looks like a good fix to me, but as I am no Tex expert, I can't
> really confirm anything at all. I would just upload and deal with
> problems later: release often, release soon. But of course, YMMV.

Reasonable argument. Can you remind me in 3 weeks ... I am off in the
mountains for another 2 weeks and have my head full of more important
stuff ATM (mountain guide final exams).

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
Someone down there
is trying to kill us!'
`Terrific,' said Arthur.
`But don't you see what this means?'
`Yes. We are going to die.'
`Yes, but apart from that.'
`APART from that?'
`It means we must be on to something!'
`How soon can we get off it?'
                 --- Zaphod and Arthur in a certain death situation over
                 --- Magrathea.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 429564@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: Hilmar Preusse <hille42@web.de>, 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Tue, 1 Apr 2008 23:14:58 +0200
Norbert Preining wrote:
> Reasonable argument. Can you remind me in 3 weeks ... I am off in the
> mountains for another 2 weeks and have my head full of more important
> stuff ATM (mountain guide final exams).

Hey, have fun in the mountains! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Task Force <debian-tex-maint@lists.debian.org>:
Bug#429564; Package xmltex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Task Force <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 429564@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Amaya <amaya@debian.org>
Cc: Hilmar Preusse <hille42@web.de>, 429564@bugs.debian.org
Subject: Re: Bug#429564: xmltex: diff for NMU version 1.9-12.1
Date: Wed, 16 Apr 2008 18:40:42 +0200
On Di, 01 Apr 2008, Norbert Preining wrote:
> > >	dget http://people.debian.org/~preining/TeX/xmltex/xmltex_1.9.debian.1-1~1.dsc
> > 
> > This looks like a good fix to me, but as I am no Tex expert, I can't
> > really confirm anything at all. I would just upload and deal with
> > problems later: release often, release soon. But of course, YMMV.
> 
> Reasonable argument. Can you remind me in 3 weeks ... I am off in the
> mountains for another 2 weeks and have my head full of more important
> stuff ATM (mountain guide final exams).

Uploaded ...

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
ULLAPOOL (n.)
The spittle which builds up on the floor of the Royal Opera House.
			--- Douglas Adams, The Meaning of Liff




Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #75 received at 429564-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 429564-close@bugs.debian.org
Subject: Bug#429564: fixed in xmltex 1.9.debian.1-1
Date: Wed, 16 Apr 2008 16:47:06 +0000
Source: xmltex
Source-Version: 1.9.debian.1-1

We believe that the bug you reported is fixed in the latest version of
xmltex, which is due to be installed in the Debian FTP archive:

xmltex_1.9.debian.1-1.diff.gz
  to pool/main/x/xmltex/xmltex_1.9.debian.1-1.diff.gz
xmltex_1.9.debian.1-1.dsc
  to pool/main/x/xmltex/xmltex_1.9.debian.1-1.dsc
xmltex_1.9.debian.1-1_all.deb
  to pool/main/x/xmltex/xmltex_1.9.debian.1-1_all.deb
xmltex_1.9.debian.1.orig.tar.gz
  to pool/main/x/xmltex/xmltex_1.9.debian.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429564@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated xmltex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 20 Dec 2007 08:01:20 +0100
Source: xmltex
Binary: xmltex
Architecture: source all
Version: 1.9.debian.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 xmltex     - TeX package for processing XML files
Closes: 429564 433121
Changes: 
 xmltex (1.9.debian.1-1) unstable; urgency=low
 .
   * ship passivetex within the package, and stop recommending passivetex
     (Closes: #429564, #433121)
     This needs a new upstream version, calling it .debian.1
   * bump standards version to 3.7.3, no changes needed
Files: 
 ae727971c8d245b39b71d6ef8011c802 758 tex optional xmltex_1.9.debian.1-1.dsc
 b2d9d1e79d078ba8f27490eed978497c 1373769 tex optional xmltex_1.9.debian.1.orig.tar.gz
 3c654ecb34d67260f0c53e68f6d41d27 10823 tex optional xmltex_1.9.debian.1-1.diff.gz
 d9ef0a1a9a6d0f01c45e788b5d1be44d 571840 tex optional xmltex_1.9.debian.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIBiuT0r9KownFsJQRAph1AJ46P+zF2fy4t7Uwh2eQ856iuxpQYQCeI6NP
e+qlCNQ842YxTnlyd4WU19U=
=4t8p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 May 2008 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:05:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.